# Generated from imgen-0.3.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name imgen

Name: rubygem-%{gem_name}
Version: 0.3.2
Release: 1%{?dist}
Summary: Create images from scratch
License: MIT
URL: http://rubygems.org/gems/imgen
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
Create an image of a specific height and width using Magick.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/imgen
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/imgen-solid-example-1.png
%{gem_instdir}/imgen-solid-example-2.png
%{gem_instdir}/imgen-solid-example-3.png
%{gem_instdir}/imgen-texture-example-1.png
%{gem_instdir}/imgen-texture-example-2.png
%{gem_instdir}/imgen-texture-example-3.png
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/imgen.gemspec
%{gem_instdir}/spec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.3.2-1
- Initial package
